{% load static %}
<style>
    .submenu{
        position: relative;

    }
    .sidebar1 {
        position: sticky;
        top: 0; 
        height: 100vh;
        width: auto; 
        overflow-y: 100px; 
    }
  </style>
  
<ul class="navbar-nav bg-gradient-primary sidebar sidebar-dark accordion sidebar1 " id="accordionSidebar">

    <a class="sidebar-brand d-flex align-items-center justify-content-center" href="{% url 'profile:admin_home' %}" style="background-color: white;">
        <div class="sidebar-brand-icon">
            <img src="{% static 'admin/images/logo-siapkerja.png' %}" width="100%" height="52" alt="Logo Manage Panel">
        </div>
        <div class="sidebar-brand-text mx-1">
            <img src="{% static 'admin/images/text-siapkerjaa.png' %}" width="100%" height="22" alt="Logo Manage Panel">
        </div>
    </a>

    <hr class="sidebar-divider my-0">
        <li class="nav-item">
            <a class="nav-link" href="{% url 'profile:admin_home' %}">
                <i class="bi bi-house"></i>
                <span>Dashboard</span>
            </a>
        </li>
    {% if request.user.is_staff or request.user.role == "admin" %}
        <li class="nav-item">
            <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapsePages" aria-expanded="false" aria-controls="collapsePages">
                <i class="bi bi-gear"></i>
                <span>Master Data</span>
            </a>
            <div id="collapsePages" class="collapse {% if request.resolver_match.url_name == 'admin_kategori' or request.resolver_match.url_name == 'admin_setting_infografis' or request.resolver_match.url_name == 'admin_user' or request.resolver_match.url_name == 'admin_wilayah' or request.resolver_match.url_name == 'admin_skpd' or request.resolver_match.url_name == 'admin_perusahaan' or request.resolver_match.url_name == 'admin_pejabat_pengesah' or request.resolver_match.url_name == 'admin_pajak' or request.resolver_match.url_name == 'admin_status_pembayaran'  or request.resolver_match.url_name == 'admin_tahun'  %}show {% endif %}" aria-labelledby="headingPages" data-parent="#accordionSidebar" style="">
                <div class="bg-white py-2 collapse-inner rounded submenu">
                    <a class="collapse-item {% if request.resolver_match.url_name == 'admin_setting_infografis' %}active{% endif %}"  href="{% url 'profile:admin_setting_infografis' %}">Setting Aplikasi</a>
                    <a class="collapse-item {% if request.resolver_match.url_name == 'admin_user' %}active{% endif %}"  href="{% url 'profile:admin_user' %}">Master User</a>
                    <a class="collapse-item {% if request.resolver_match.url_name == 'index_tahapan' %}active{% endif %}"  href="{% url 'profile:index_tahapan' %}">Master Tahapan</a>
                    <a class="collapse-item {% if request.resolver_match.url_name == 'index_kegiatan' %}active{% endif %}"  href="{% url 'profile:index_kegiatan' %}">Master Kegiatan</a>
                    <a class="collapse-item {% if request.resolver_match.url_name == 'admin_kategori' %}active{% endif %}" href="{% url 'profile:admin_kategori' %}">Master Kategori</a>
                    <a class="collapse-item {% if request.resolver_match.url_name == 'admin_tahun' %}active{% endif %}" href="{% url 'profile:admin_tahun' %}">Master Tahun</a>
                    <a class="collapse-item {% if request.resolver_match.url_name == 'admin_wilayah' %}active{% endif %}"  href="{% url 'profile:admin_wilayah' %}">Master Wilayah</a>
                    <a class="collapse-item {% if request.resolver_match.url_name == 'admin_skpd' %}active{% endif %}"  href="{% url 'profile:admin_skpd' %}">Master SKPD</a>
                    <a class="collapse-item {% if request.resolver_match.url_name == 'admin_perusahaan' %}active{% endif %}"  href="{% url 'profile:admin_perusahaan' %}">Master Perusahaan</a>
                    <a class="collapse-item {% if request.resolver_match.url_name == 'admin_pejabat_pengesah' %}active{% endif %}"  href="{% url 'profile:admin_pejabat_pengesah' %}">Master Pejabat Pengesah</a>
                    <a class="collapse-item {% if request.resolver_match.url_name == 'admin_pajak' %}active{% endif %}"  href="{% url 'profile:admin_pajak' %}">Master Pajak</a>
                    <a class="collapse-item {% if request.resolver_match.url_name == 'admin_status_pembayaran' %}active{% endif %}"  href="{% url 'profile:admin_status_pembayaran' %}">Master Status Pembayaran</a>
                </div>
            </div>
        </li>
    {% endif %}
    <hr class="sidebar-divider my-0">
    <li class="nav-item">
        <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#inputdata" aria-expanded="false" aria-controls="inputdata">
            <i class="bi bi-file-earmark-text"></i>
            <span>Managemen Dokumen</span>
        </a>
        <div id="inputdata" class="collapse {% if request.resolver_match.url_name == 'admin_spk' or request.resolver_match.url_name == 'admin_managemen_bap' or request.resolver_match.url_name == 'admin_managemen_berkas' or request.resolver_match.url_name == 'admin_permohonan_pembayaran' or request.resolver_match.url_name == 'admin_managemen_faktur' or request.resolver_match.url_name == 'admin_managemen_berkas' or request.resolver_match.url_name == 'admin_dokumentasi_pekerjaan' or request.resolver_match.url_name == 'admin_faktur_detail' or request.resolver_match.url_name == 'admin_spk_detail' or request.resolver_match.url_name == 'admin_detail_pembayaran'  %}show{% endif %}" aria-labelledby="headingPages" data-parent="#accordionSidebar">
            <div class="bg-white py-2 collapse-inner rounded">
                {% if request.user.is_staff or request.user.role == "admin" or request.user.role == "dinas" %}
                <a class="collapse-item {% if request.resolver_match.url_name == 'admin_spk' or request.resolver_match.url_name == 'admin_spk_detail' %}active{% endif %}"  href="{% url 'profile:admin_spk' %}">SPK </a>
                {% endif %}
                {% if request.user.is_staff or request.user.role == "admin" or request.user.role == "perusahaan" %}
                <a class="collapse-item {% if request.resolver_match.url_name == 'admin_permohonan_pembayaran' or request.resolver_match.url_name == 'admin_detail_pembayaran'  %}active{% endif %}"  href="{% url 'profile:admin_permohonan_pembayaran' %}">BA Pembayaran</a>
                {% endif %}
                {% if request.user.is_staff or request.user.role == "admin" or request.user.role == "dinas" %}
                <a class="collapse-item {% if request.resolver_match.url_name == 'admin_managemen_berkas' %}active{% endif %}"  href="{% url 'profile:admin_managemen_berkas' %}">BAST</a>
                <a class="collapse-item {% if request.resolver_match.url_name == 'admin_managemen_bap' %}active{% endif %}"  href="{% url 'profile:admin_managemen_bap' %}">BAPA</a>
                {% endif %}
                
                
                {% if request.user.is_staff or request.user.role == "admin" or request.user.role == "perusahaan" %}
                <a class="collapse-item {% if request.resolver_match.url_name == 'admin_managemen_faktur' or request.resolver_match.url_name == 'admin_faktur_detail'  %}active{% endif %}"  href="{% url 'profile:admin_managemen_faktur' %}">Faktur Tagihan</a>
                <a class="collapse-item d-none {% if request.resolver_match.url_name == 'admin_managemen_berkas' %}active{% endif %}"  href="{% url 'profile:admin_managemen_berkas' %}">Kwitansi</a>
                <a class="collapse-item {% if request.resolver_match.url_name == 'admin_dokumentasi_pekerjaan' %}active{% endif %}"  href="{% url 'profile:admin_dokumentasi_pekerjaan' %}">Dokumentasi Pekerjaan</a>
                {% endif %}
            </div>
        </div>
    </li>
    <li class="nav-item">
        <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#laporan" aria-expanded="false" aria-controls="inputdata">
            <i class="bi bi-gear"></i>
            <span>Laporan</span>
        </a>
        <div id="laporan" class="collapse {% if request.resolver_match.url_name == 'admin_rekapitulasi_tagihan' or request.resolver_match.url_name == 'admin_realisasi' or request.resolver_match.url_name == 'admin_sisa_dana' %}show{% endif %}" aria-labelledby="headingPages" data-parent="#accordionSidebar">
            <div class="bg-white py-2 collapse-inner rounded">
                <a class="collapse-item {% if request.resolver_match.url_name == 'admin_rekapitulasi_tagihan' %}active{% endif %}" href="{% url 'profile:admin_rekapitulasi_tagihan' %}">Rekapitulasi Tagihan</a>
                <a class="collapse-item {% if request.resolver_match.url_name == 'admin_realisasi' %}active{% endif %}" href="{% url 'profile:admin_realisasi' %}">Realisasi & Sisa PAGU</a>
                <a class="collapse-item {% if request.resolver_match.url_name == 'admin_sisa_dana' %}active{% endif %}" href="{% url 'profile:admin_sisa_dana' %}">Sisa Dana per Sub-unit </a>
            </div>
        </div>
    </li>
    <hr class="sidebar-divider ">

        
    <div class="text-center d-none d-md-inline pt-6">
        <button class="rounded-circle border-0 text-white" id="sidebarToggle">
            <i class="bi bi-layout-sidebar"></i>
        </button>
    </div>

   

</ul>